Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class AbstractPDFFontStream

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.AbstractPDFStream
              org.apache.fop.pdf.AbstractPDFFontStream

All Implemented Interfaces:
  PDFWritable

Direct Known Subclasses:
  PDFCFFStream, PDFCFFStreamType0C, PDFT1Stream, PDFTTFStream

    public abstract class AbstractPDFFontStream

extends AbstractPDFStream

Base class for PDF font streams.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`AbstractPDFFontStream()` Main constructor.

Method Summary
`protected java.lang.String` | `getDefaultFilterName()` Returns the name of a suitable filter for this PDF object.

Methods inherited from class org.apache.fop.pdf.AbstractPDFStream
`encodeAndWriteStream, encodeStream, get, getChildren, getDictionary, getFilterList, getSizeHint, multipleFiltersAllowed, output, outputRawStreamData, outputStreamData, populateStreamDict, prepareImplicitFilters, put, registerChildren, setDocument, setupFilterList`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPDFFontStream

    public AbstractPDFFontStream()

  Main constructor.

Method Detail

### getDefaultFilterName

    protected java.lang.String getDefaultFilterName()

  Returns the name of a suitable filter for this PDF object.

  Overrides:
    `getDefaultFilterName` in class `AbstractPDFStream`
  Returns:
    the default filter
  See Also:
    `PDFFilterList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.